Submit User Feedback

POST /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/user-feedback/

This endpoint is DEPRECATED. We document it here for older SDKs and users who are still migrating to the User Feedback Widget or API(multi-platform). If you are a new user, do not use this endpoint - unless you don't have a JS frontend, and your platform's SDK does not offer a feedback API.

Feedback must be received by the server no more than 30 minutes after the event was saved.

Additionally, within 5 minutes of submitting feedback it may also be overwritten. This is useful in situations where you may need to retry sending a request due to network failures.

If feedback is rejected due to a mutability threshold, a 409 status code will be returned.

Note: Feedback may be submitted with DSN authentication (see auth documentation).

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to. Project slugs are unique within each organization.

Body Parameters

name (string)
REQUIRED

User's name.

email (string)
REQUIRED

User's email address.

comments (string)
REQUIRED

Comments supplied by user.

event_id (string)
REQUIRED

The event ID. This can be retrieved from the beforeSend callback.

Scopes

<auth_token> requires one of the following scopes:
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/user-feedback/ \
 -H 'Authorization: Bearer <auth_token>' \
 -H 'Content-Type: application/json' \
 -d '{}'
RESPONSESCHEMA
Copied
{ "comments": "It broke!", "dateCreated": "2018-11-06T21:20:11.468000Z", "email": "jane@example.com", "event": { "eventID": "14bad9a2e3774046977a21440ddb39b2", "id": "14bad9a2e3774046977a21440ddb39b2" }, "eventID": "14bad9a2e3774046977a21440ddb39b2", "id": "1", "issue": null, "name": "Jane Smith", "user": null }
Was this helpful?